## libbitcoin 2.0

=== examples/Makefile ===
CXXFLAGS=$(shell pkg-config --cflags libbitcoin) -ggdb
LIBS=$(shell pkg-config --libs libbitcoin)

default: all

balance.o: balance.cpp
	$(CXX) -o $@ -c $< $(CXXFLAGS)

balance: balance.o
	$(CXX) -o $@ $< $(LIBS)

txrad.o: txrad.cpp
	$(CXX) -o $@ -c $< $(CXXFLAGS)

txrad: txrad.o
	$(CXX) -o $@ $< $(LIBS)

connect.o: connect.cpp
	$(CXX) -o $@ -c $< $(CXXFLAGS)

connect: connect.o
	$(CXX) -o $@ $< $(LIBS)

accept.o: accept.cpp
	$(CXX) -o $@ -c $< $(CXXFLAGS)

accept: accept.o
	$(CXX) -o $@ $< $(LIBS)

satoshiwords.o: satoshiwords.cpp
	$(CXX) -o $@ -c $< $(CXXFLAGS)

satoshiwords: satoshiwords.o
	$(CXX) -o $@ $< $(LIBS)

initchain.o: initchain.cpp
	$(CXX) -o $@ -c $< $(CXXFLAGS)

initchain: initchain.o
	$(CXX) -o $@ $< $(LIBS)

priv.o: priv.cpp
	$(CXX) -o $@ -c $< $(CXXFLAGS)

priv: priv.o
	$(CXX) -o $@ $< $(LIBS)

fullnode.o: fullnode.cpp
	$(CXX) -o $@ -c $< $(CXXFLAGS)

fullnode: fullnode.o
	$(CXX) -o $@ $< $(LIBS)

display-last.o: display-last.cpp
	$(CXX) -o $@ -c $< $(CXXFLAGS)

display-last: display-last.o
	$(CXX) -o $@ $< $(LIBS)

proto.o: proto.cpp
	$(CXX) -o $@ -c $< $(CXXFLAGS)

proto: proto.o
	$(CXX) -o $@ $< $(LIBS)

all: balance priv initchain fullnode display-last satoshiwords connect accept proto txrad

clean:
	rm -f accept balance connect determ display-last fullnode initchain priv proto satoshiwords txrad
	rm -f *.o

=== tools/Makefile ===
CXXFLAGS=$(shell pkg-config --cflags libbitcoin) -ggdb
LIBS=$(shell pkg-config --libs libbitcoin)

default: all

bootstrap.o: bootstrap.cpp
	$(CXX) -o $@ -c $< $(CXXFLAGS)

bootstrap: bootstrap.o
	$(CXX) -o $@ $< $(LIBS)

bootstrap-fast.o: bootstrap-fast.cpp
	$(CXX) -o $@ -c $< $(CXXFLAGS)

bootstrap-fast: bootstrap-fast.o
	$(CXX) -o $@ $< $(LIBS)

detect-network.o: detect-network.cpp
	$(CXX) -o $@ -c $< $(CXXFLAGS)

detect-network: detect-network.o
	$(CXX) -o $@ $< $(LIBS)

all: bootstrap bootstrap-fast detect-network 

clean:
	rm -f bootstrap bootstrap-fast detect-network
	rm -f *.o

=== doc/sphinx/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/libbitcoin.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/libbitcoin.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/libbitcoin"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/libbitcoin"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== test/fakechain/Makefile ===
CXXFLAGS=$(shell pkg-config --cflags libbitcoin) -ggdb
LIBS=$(shell pkg-config --libs libbitcoin)

default: all

fake.o: fake.cpp step.hpp
	$(CXX) -o $@ -c $< $(CXXFLAGS)

fake: fake.o
	$(CXX) -o $@ $< $(LIBS)

all: fake

=== test/oldtests/reorg/Makefile ===
default:
	g++ main.cpp $(shell pkg-config --cflags --libs libbitcoin)

=== debian/changelog ===
libbitcoin (2.0-2.4) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/control: Revert unintended Maintainer: change from previous NMU.

 -- Martin Pitt <mpitt@debian.org>  Mon, 31 Aug 2015 10:21:04 +0200

libbitcoin (2.0-2.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename library packages for g++5 ABI transition and adjust "abi" in
    debian/rules. (Closes: #791092)
  * Add missing-include.patch: Fix FTBFS due to unknown std::cout.

 -- Martin Pitt <mpitt@debian.org>  Wed, 05 Aug 2015 06:56:38 +0200

libbitcoin (2.0-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Apply patch from BTS to fix FTBFS in jessie: configure: error: cannot find
    install-sh, install.sh, or shtool in "." "./.." "./../.."" (Closes: #768726)

 -- Tobias Frost <tobi@debian.org>  Fri, 21 Nov 2014 22:44:56 +0100

libbitcoin (2.0-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS on big endian architectures.
    Add big-endian.patch.
    Patch by Jurica Stanojkovic <Jurica.Stanojkovic@imgtec.com>.
    Closes: #765355.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Wed, 15 Oct 2014 08:48:57 +0100

libbitcoin (2.0-2) unstable; urgency=medium

  * Add patch 1001 to fix include Boost endian include.
    Fixes FTBFS on big-endian archs.
  * Tighten build-dependency on d-shlibs to versions supporting both
    multiarch and skipping .la files, and simplify rules file.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 15 Aug 2014 13:48:13 +0200

libbitcoin (2.0-1) unstable; urgency=low

  * Initial release.
    Closes: bug#670701.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 17 Jun 2014 16:09:10 +0200

=== debian/control ===
Source: libbitcoin
Section: libs
Priority: optional
Build-Depends: cdbs (>= 0.4.123~),
 devscripts,
 libtool,
 automake,
 autoconf,
 debhelper,
 dh-buildinfo,
 libdb++-dev,
 libleveldb-dev,
 libssl-dev,
 libcurl4-openssl-dev,
 libboost-dev,
 libboost-thread-dev,
 libboost-system-dev,
 libboost-regex-dev,
 libboost-filesystem-dev,
 pkg-config,
 autoconf-archive,
 d-shlibs (>= 0.50),
 libregexp-assemble-perl,
 libimage-exiftool-perl,
 libfont-ttf-perl
Maintainer: Debian Bitcoin Team <pkg-bitcoin-devel@lists.alioth.debian.org>
Uploaders: Jonas Smedegaard <dr@jones.dk>
Standards-Version: 3.9.5
Homepage: https://libbitcoin.org/
Vcs-Git: git://git.debian.org/pkg-bitcoin/libbitcoin.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-bitcoin/libbitcoin.git

Package: libbitcoin0v5
Section: libs
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends},
 ${cdbs:Pre-Depends}
Multi-Arch: same
Conflicts: libbitcoin0
Replaces: libbitcoin0
Description: Bitcoin toolkit library for asynchronous apps
 libbitcoin is a Bitcoin library targeted high end use.  The library
 places a heavy focus around asynchronous operation.
 .
 libbitcoin is designed as a toolkit - an independent set of mutual
 components with no dependencies between them.

Package: libbitcoin0v5-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${misc:Depends},
 libbitcoin0v5 (= ${binary:Version})
Conflicts: libbitcoin0-dbg
Replaces: libbitcoin0-dbg
Description: Bitcoin toolkit library for asynchronous apps - debugging symbols
 libbitcoin is a Bitcoin library targeted high end use.  The library
 places a heavy focus around asynchronous operation.
 .
 libbitcoin is designed as a toolkit - an independent set of mutual
 components with no dependencies between them.
 .
 This package contains the debugging symbols.

Package: libbitcoin-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libbitcoin0v5 (= ${binary:Version}),
 ${devlibs:Depends},
 ${misc:Depends}
Suggests: libbitcoin-doc
Description: Bitcoin toolkit library for asynchronous apps - development headers
 libbitcoin is a Bitcoin library targeted high end use.  The library
 places a heavy focus around asynchronous operation.
 .
 libbitcoin is designed as a toolkit - an independent set of mutual
 components with no dependencies between them.
 .
 This package provides header files for developing your applications to
 use libbitcoin template engine.

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-
# Copyright © 2013-2014 Jonas Smedegaard <dr@jones.dk>
# Description: Main Debian packaging script for libbitcoin
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

# This needs to run (and thus be declared) before CDBS includes
debian/control:: debian/control.in
DEB_PHONY_RULES += debian/control.in
debian/control.in::
	sed -e 's/__LIBPKG__/$(libpkg)/g' <debian/control.in.in >debian/control.in

DEB_AUTO_UPDATE_LIBTOOL = pre
DEB_AUTO_UPDATE_ACLOCAL = ,
DEB_AUTO_UPDATE_AUTOCONF = ,
DEB_AUTO_UPDATE_AUTOMAKE = ,
include /usr/share/cdbs/1/rules/upstream-tarball.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/debhelper.mk

pkg = $(DEB_SOURCE_PACKAGE)
stem = $(patsubst lib%,%,$(pkg))
abi = 0v5
lib = lib$(stem)
libpkg = lib$(stem)$(abi)
devpkg = lib$(stem)-dev

DEB_UPSTREAM_URL = https://libbitcoin.org/download
DEB_UPSTREAM_TARBALL_EXTENSION = tar.bz2

# Needed by upstream build
dev-deps = db++ leveldb ssl curl4-openssl
dev-deps += boost boost-thread boost-system boost-regex boost-filesystem
deps = $(patsubst %,$(comma) lib%-dev,$(dev-deps))
deps +=, pkg-config

# Needed for our packaging
deps-pkg +=, autoconf-archive, d-shlibs (>= 0.50)

CDBS_BUILD_DEPENDS +=, $(deps), $(deps-pkg)

# Multiarch quirk (see also other uses of that variable in this file)
CDBS_PREDEPENDS_$(libpkg) = $(if $(DEB_HOST_MULTIARCH),multiarch-support)

# extract metadata from images before copyright check
CDBS_BUILD_DEPENDS +=, libregexp-assemble-perl, libimage-exiftool-perl
CDBS_BUILD_DEPENDS +=, libfont-ttf-perl
local_inspection_regex = png
DEB_COPYRIGHT_CHECK_IGNORE_REGEX = ^((.*/)?[^/]+\.($(local_inspection_regex))|debian/(changelog|copyright(|_hints|_newhints)))$$
debian/stamp-copyright-check: debian/stamp-extract-copyright
debian/stamp-extract-copyright:
	find * -type f -regextype posix-extended \
		-regex '.*\.($(local_inspection_regex))' \
		-print0 | perl -0 debian/license-miner
	touch $@
pre-build:: clean-extracted-copyright-during-build
clean-extracted-copyright-during-build: debian/stamp-copyright-check
	find -type f -name '*.metadata_dump' -delete
clean::
	find -type f -name '*.metadata_dump' -delete
	rm -f debian/stamp-extract-copyright

# work around build failure with g++ 4.8
#CXXFLAGS += -fpermissive

DEB_CONFIGURE_EXTRA_FLAGS += --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)

DEB_CONFIGURE_EXTRA_FLAGS += --enable-bdb --enable-leveldb

DEB_MAKE_CHECK_TARGET = check

DEB_INSTALL_EXAMPLES_$(devpkg) = examples/*

# Let d-shlibs calculate development package dependencies
#  and handle shared library install
#  * d-shlibs 0.50 required for --multiarch and --exclude-la options
binary-post-install/$(libpkg) binary-post-install/$(devpkg):: \
 debian/stamp-local-shlibs-$(lib)
debian/stamp-local-shlibs-$(lib): \
 binary-install/$(libpkg) \
 binary-install/$(devpkg)
	d-shlibmove --commit \
		--devunversioned \
		--exclude-la \
		--multiarch \
		--override s/libleveldb1-dev/libleveldb-dev/ \
		--override 's/libboost_\([^-]\+\)\.[0-9]-dev/libboost-\1-dev/' \
		--override 's/libcurl4-dev/libcurl4-openssl-dev/' \
		--movedev "debian/tmp/usr/include/*" usr/include/ \
		--movedev "debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/*" \
			usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig \
		debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/$(lib).so
	touch $@
clean::
	rm -f debian/stamp-local-shlibs-$(lib)

# put aside upstream-shipped autogenerated files and (re)generate during build
auxdir = build-aux
macrodir = m4
makefiledirs = . include/bitcoin src
files_autotools_core = $(auxdir)/config.guess $(auxdir)/config.sub
stems_m4_libtool = libtool ltoptions ltsugar ltversion lt~obsolete
files_libtool = $(auxdir)/ltmain.sh $(stems_m4_libtool:%=$(macrodir)/%.m4)
stems_aclocal_ax = berkeley_db_cxx boost_base boost_system boost_thread
stems_aclocal_ax += cxx_compile_stdcxx_11
files_aclocal_ax = $(stems_aclocal_ax:%=$(macrodir)/ax_%.m4)
files_aclocal = aclocal.m4 $(macrodir)/pkg.m4 $(files_aclocal_ax)
stems_aux_autoconf = ar-lib compile install-sh missing
files_autoconf = configure $(stems_aux_autoconf:%=$(auxdir)/%)
files_automake = $(auxdir)/depcomp $(makefiledirs:=/Makefile.in)
files_configure = config.log
files_autotools = $(files_autotools_core) $(files_libtool) $(files_aclocal)
files_autotools += $(files_autoconf) $(files_automake) $(files_configure)
DEB_UPSTREAM_CRUFT_MOVE = $(files_aclocal_ax)
DEB_ACLOCAL_ARGS = -Im4 --install --force
DEB_AUTOMAKE_ARGS = --add-missing --copy --foreign --force
DEB_MAKE_CLEAN_TARGET = distclean
makefile-clean::
	rm -rf autom4te.cache
	rm -f $(filter-out $(DEB_UPSTREAM_CRUFT_MOVE),$(files_autotools))
clean::
	rm -f $(filter-out $(DEB_UPSTREAM_CRUFT_MOVE),$(files_autotools_core))
	test ! -d $(auxdir) || rmdir --ignore-fail-on-non-empty $(auxdir)

=== debian/watch ===
version=3
https://libbitcoin.org/download/libbitcoin-(\d[\d\.]+).tar.bz2
https://github.com/libbitcoin/libbitcoin/tags .*/archive/v?(\d[\d\.]+).tar.gz

## libbitcoin 2.11.0

=== debian/changelog ===
libbitcoin (2.11.0-1ubuntu2) zesty; urgency=high

  * No change rebuild against boost1.62.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 01 Nov 2016 16:25:57 +0000

libbitcoin (2.11.0-1ubuntu1) zesty; urgency=medium

  * Disable testsuite on non intel platforms. The test suite is not
    portable upstream.
  * Import upstream patch to fix FTBFS on big endian platforms.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 28 Oct 2016 15:42:14 +0100

libbitcoin (2.11.0-1build1) yakkety; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 04 Aug 2016 08:43:29 +0000

libbitcoin (2.11.0-1) unstable; urgency=medium

  [ upstream ]
  * New release(s).

  [ Jonas Smedegaard ]
  * Modernize Vcs-* URLs:
    + Use cgit web frontend.
    + Use https protocol.
  * Declare compliance with Debian Policy 3.9.8.
  * Update watch file:
    + Add usage comment.
    + Bump format to version 4.
    + Track only Github URL (project website several years behind).
  * Update CDBS get-orig-source hints to use Github URL.
  * Update copyright info:
    + Extend copyright of packaging to cover recent years.
    + Add additional main authors, and extend copyright for main authors
      to recent years (but not beyond - that seems bogus: See
      <https://github.com/libbitcoin/libbitcoin/issues/389>).
    + Update main license: No longer adds exceptions.
      (remaining references apparently bogus: See
      <https://github.com/libbitcoin/libbitcoin/issues/390).
    + Use License-Grant and License-Reference fields.
      Thanks to Ben Finney.
    + Use License shortname FSFUL~Boost (not GAP), and merge such Files
      sections.
    + Document newly added files.
  * Modernize git-buildpackage config:
    + Avoid git- prefix.
    + Filter any .git* file.
    + Filter debian dir.
  * Add lintian overrides regarding license in License-Reference field.
    See bug#786450.
  * Bump debhelper compatibility level to 9.
  * Add lintian override regarding debhelper 9.
  * Drop patches obsoleted by upstream changes.
  * Track symbols, using pkgkde-symbolshelper.
  * Update package relations:
    + Build-depend (explicitly) on libboost-chrono-dev
      libboost-date-time-dev libboost-locale-dev
      libboost-program-options-dev libboost-test-dev.
    + Build-depend on libsecp256k1-dev.
    + Build-depend on pkg-kde-tools: Needed for symbols tracking.
    + Relax to build-depend unversioned on d-shlibs: Needed version
      satisfied even in oldstable.
    + Stop build-depend on libssl-dev libdb++-dev libcurl4-openssl-dev.
  * Adjust autorebuild hints for changed upstream source.
  * Adjust d-shlibs options: Drop obsolete curl quirk. Fix boost quirk
    to handle underscore/dash.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 30 Apr 2016 14:46:10 +0200

=== debian/control ===
--- 
+++ 
@@ -8,27 +8,33 @@
  autoconf,
  debhelper,
  dh-buildinfo,
- libdb++-dev,
  libleveldb-dev,
- libssl-dev,
- libcurl4-openssl-dev,
+ libsecp256k1-dev,
  libboost-dev,
+ libboost-chrono-dev,
+ libboost-date-time-dev,
+ libboost-filesystem-dev,
+ libboost-locale-dev,
+ libboost-program-options-dev,
+ libboost-regex-dev,
+ libboost-system-dev,
  libboost-thread-dev,
- libboost-system-dev,
- libboost-regex-dev,
- libboost-filesystem-dev,
+ libboost-test-dev,
  pkg-config,
  autoconf-archive,
- d-shlibs (>= 0.50),
+ d-shlibs,
  libregexp-assemble-perl,
  libimage-exiftool-perl,
- libfont-ttf-perl
-Maintainer: Debian Bitcoin Team <pkg-bitcoin-devel@lists.alioth.debian.org>
+ libfont-ttf-perl,
+ dpkg-dev (>= 1.17.0),
+ pkg-kde-tools
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Bitcoin Team <pkg-bitcoin-devel@lists.alioth.debian.org>
 Uploaders: Jonas Smedegaard <dr@jones.dk>
-Standards-Version: 3.9.5
+Standards-Version: 3.9.8
 Homepage: https://libbitcoin.org/
-Vcs-Git: git://git.debian.org/pkg-bitcoin/libbitcoin.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-bitcoin/libbitcoin.git
+Vcs-Git: https://git.debian.org/git/pkg-bitcoin/libbitcoin.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-bitcoin/libbitcoin.git
 
 Package: libbitcoin0v5
 Section: libs
@@ -53,8 +59,8 @@
 Architecture: any
 Depends: ${misc:Depends},
  libbitcoin0v5 (= ${binary:Version})
-Conflicts: libbitcoin0-dbg
-Replaces: libbitcoin0-dbg
+Conflicts: libbitcoin0
+Replaces: libbitcoin0
 Description: Bitcoin toolkit library for asynchronous apps - debugging symbols
  libbitcoin is a Bitcoin library targeted high end use.  The library
  places a heavy focus around asynchronous operation.

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 # -*- mode: makefile; coding: utf-8 -*-
-# Copyright © 2013-2014 Jonas Smedegaard <dr@jones.dk>
+# Copyright © 2013-2016 Jonas Smedegaard <dr@jones.dk>
 # Description: Main Debian packaging script for libbitcoin
 #
 # This program is free software; you can redistribute it and/or modify
@@ -38,17 +38,22 @@
 libpkg = lib$(stem)$(abi)
 devpkg = lib$(stem)-dev
 
-DEB_UPSTREAM_URL = https://libbitcoin.org/download
-DEB_UPSTREAM_TARBALL_EXTENSION = tar.bz2
+DEB_UPSTREAM_URL = DEB_UPSTREAM_URL = https://github.com/libbitcoin/libbitcoin/archive
+
+# Build-depend unversioned on debhelper
+#  TODO: Drop when adopted in cdbs
+CDBS_BUILD_DEPENDS_rules_debhelper_v9 = debhelper
 
 # Needed by upstream build
-dev-deps = db++ leveldb ssl curl4-openssl
-dev-deps += boost boost-thread boost-system boost-regex boost-filesystem
-deps = $(patsubst %,$(comma) lib%-dev,$(dev-deps))
+bdeps-dev = leveldb secp256k1 boost
+bdeps-boost = chrono date-time filesystem locale program-options regex
+bdeps-boost += system thread test
+deps = $(patsubst %,$(comma) lib%-dev,$(bdeps-dev))
+deps +=, $(patsubst %,$(comma) libboost-%-dev,$(bdeps-boost))
 deps +=, pkg-config
 
 # Needed for our packaging
-deps-pkg +=, autoconf-archive, d-shlibs (>= 0.50)
+deps-pkg +=, autoconf-archive
 
 CDBS_BUILD_DEPENDS +=, $(deps), $(deps-pkg)
 
@@ -73,6 +78,10 @@
 	find -type f -name '*.metadata_dump' -delete
 	rm -f debian/stamp-extract-copyright
 
+# resolve if release is experimental
+CDBS_BUILD_DEPENDS +=, dpkg-dev (>= 1.17.0)
+EXP_RELEASE = $(filter experimental% UNRELEASED,$(shell dpkg-parsechangelog -S Distribution))
+
 # work around build failure with g++ 4.8
 #CXXFLAGS += -fpermissive
 
@@ -80,13 +89,20 @@
 
 DEB_CONFIGURE_EXTRA_FLAGS += --enable-bdb --enable-leveldb
 
+# libbitcoin upstream testsuite is intel-only
+# https://github.com/libbitcoin/libbitcoin/issues/446
+ifneq (,$(filter $(DEB_HOST_ARCH),amd64 i386))
 DEB_MAKE_CHECK_TARGET = check
+endif
+
+# relax symbols check when targeting experimental
+export DPKG_GENSYMBOLS_CHECK_LEVEL=$(if $(EXP_RELEASE),0,1)
 
 DEB_INSTALL_EXAMPLES_$(devpkg) = examples/*
 
 # Let d-shlibs calculate development package dependencies
 #  and handle shared library install
-#  * d-shlibs 0.50 required for --multiarch and --exclude-la options
+deps-pkg +=, d-shlibs
 binary-post-install/$(libpkg) binary-post-install/$(devpkg):: \
  debian/stamp-local-shlibs-$(lib)
 debian/stamp-local-shlibs-$(lib): \
@@ -97,8 +113,8 @@
 		--exclude-la \
 		--multiarch \
 		--override s/libleveldb1-dev/libleveldb-dev/ \
-		--override 's/libboost_\([^-]\+\)\.[0-9]-dev/libboost-\1-dev/' \
-		--override 's/libcurl4-dev/libcurl4-openssl-dev/' \
+		--override 's/libboost_\([a-z0-9.]\+\)\.[0-9]-dev/libboost-\1-dev/' \
+		--override 's/libboost_\([a-z0-9.]\+\)_\([a-z0-9.]\+\)\.[0-9]-dev/libboost-\1-\2-dev/' \
 		--movedev "debian/tmp/usr/include/*" usr/include/ \
 		--movedev "debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/*" \
 			usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig \
@@ -114,18 +130,28 @@
 files_autotools_core = $(auxdir)/config.guess $(auxdir)/config.sub
 stems_m4_libtool = libtool ltoptions ltsugar ltversion lt~obsolete
 files_libtool = $(auxdir)/ltmain.sh $(stems_m4_libtool:%=$(macrodir)/%.m4)
-stems_aclocal_ax = berkeley_db_cxx boost_base boost_system boost_thread
-stems_aclocal_ax += cxx_compile_stdcxx_11
-files_aclocal_ax = $(stems_aclocal_ax:%=$(macrodir)/ax_%.m4)
-files_aclocal = aclocal.m4 $(macrodir)/pkg.m4 $(files_aclocal_ax)
+stems_m4_autoconf = pkg
 stems_aux_autoconf = ar-lib compile install-sh missing
-files_autoconf = configure $(stems_aux_autoconf:%=$(auxdir)/%)
+files_autoconf = aclocal.m4 configure $(stems_aux_autoconf:%=$(auxdir)/%)
+files_autoconf += $(stems_m4_autoconf:%=$(macrodir)/%.m4)
+stems_m4_archive = check_compile_flag check_link_flag check_preproc_flag
+stems_m4_archive += cxx_compile_stdcxx_11 java_devel jni_include_dir
+stems_m4_archive += prog_jar prog_javac prog_javac_works prog_java
+stems_m4_archive += prog_java_works pthread python_devel
+files_archive = $(stems_m4_archive:%=$(macrodir)/ax_%.m4)
+stems_m4_boost = base chrono date_time filesystem locale program_options
+stems_m4_boost += regex system thread unit_test_framework
+files_boost = $(stems_m4_boost:%=$(macrodir)/ax_boost_%.m4)
+stems_m4_misc += lib-ld lib-link lib-prefix
+files_misc = $(stems_m4_axmisc:%=$(macrodir)/%.m4)
 files_automake = $(auxdir)/depcomp $(makefiledirs:=/Makefile.in)
+files_automake += $(auxdir)/test-driver
 files_configure = config.log
-files_autotools = $(files_autotools_core) $(files_libtool) $(files_aclocal)
-files_autotools += $(files_autoconf) $(files_automake) $(files_configure)
-DEB_UPSTREAM_CRUFT_MOVE = $(files_aclocal_ax)
-DEB_ACLOCAL_ARGS = -Im4 --install --force
+stems_autotools = autotools_core libtool aclocal autoconf automake
+stems_autotools += configure archive boost misc
+files_autotools = $(foreach var,$(stems_autotools),$(files_$(var)))
+DEB_UPSTREAM_CRUFT_MOVE = $(files_archive) $(files_boost) $(files_misc)
+DEB_ACLOCAL_ARGS = -I$(macrodir) --install --force
 DEB_AUTOMAKE_ARGS = --add-missing --copy --foreign --force
 DEB_MAKE_CLEAN_TARGET = distclean
 makefile-clean::
@@ -134,3 +160,7 @@
 clean::
 	rm -f $(filter-out $(DEB_UPSTREAM_CRUFT_MOVE),$(files_autotools_core))
 	test ! -d $(auxdir) || rmdir --ignore-fail-on-non-empty $(auxdir)
+
+# track symbols using pkgkde-symbolshelper
+CDBS_BUILD_DEPENDS +=, pkg-kde-tools
+include /usr/share/pkg-kde-tools/makefiles/1/cdbs/symbolshelper.mk

=== debian/watch ===
# run "uscan --report" to check or "gpb import-orig --uscan" to update
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
 https://github.com/libbitcoin/libbitcoin/tags \
 (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian
